Home

# Class goog.ui.BasicMenu.Item

A menu item

extends goog.Disposable

Instance Method Summary
| `closeSubmenu()` Closes the item's submenu.
| `create() ⇒ ?Element` Returns the DOM element(s) for the menu item. Should be treated as package scope.

`disposeInternal()`

Deletes or nulls out any references to COM objects, DOM nodes, or other disposable objects. Classes that extend {@code goog.Disposable} should override this method. Not reentrant. To avoid calling it twice, it must only be called from the subclass' {@code disposeInternal} method. Everywhere else the public {@code dispose} method must be used. For example:

    mypackage.MyClass = function() {
    goog.base(this);
    // Constructor logic specific to MyClass.
    ...
    };
    goog.inherits(mypackage.MyClass, goog.Disposable);

    mypackage.MyClass.prototype.disposeInternal = function() {
    goog.base(this, 'disposeInternal');
    // Dispose logic specific to MyClass.
    ...
    };

| `getCaption() ⇒ string`
| `getMenu() ⇒ ?goog.ui.BasicMenu`
| `getSubmenu() ⇒ ?goog.ui.BasicMenu`
| `getValue() ⇒ <Any Type>`
| `hasOpenSubmenu() ⇒ boolean`
| `hasSubmenu() ⇒ boolean`
| `openSubmenu()` Opens the item's submenu.
| `remove()` Removes DOM element(s) for item.
| `setCaption(string caption)` Updates caption.
| `setMenu_(?goog.ui.BasicMenu menu)` Set the parent menu for this menu item.
| `setValue(?Object value)` Sets value associated with menu item.